try
{
    $SBEnabled = Confirm-SecureBootUEFI
    
    if ($SBEnabled) {
       $PKbytes = (Get-SecureBootUEFI PK).Bytes
        $PKBytes | Set-Content -en byte -Path ("OEM_PK_SigList.bin")

        $DBXbytes = (Get-SecureBootUEFI dbx).Bytes
        $DBXbytes | Set-Content -en byte -Path ("Existing_dbx_SigList.bin")
    }
    else
    {
        Write-Host -foreground "red" "Secure Boot isn't enabled in this machine"
    }
}
catch
{
     Write-Host -foreground "red" "Unknown exception, please contact Microsoft for further assistance"
     $_.exception
}
